(***********************************************************************)
(*                                                                     *)
(*                                 GALAX                               *)
(*                             XQuery Engine                           *)
(*                                                                     *)
(*  Copyright 2001-2003, Lucent Technologies.                          *)
(*  Distributed only by permission.                                    *)
(*                                                                     *)
(***********************************************************************)

(* $Id: args.ml,v 1.4 2003/05/28 14:47:38 simeon Exp $ *)

(* Module Args
   Description:
     This module implements extraction of function arguments for
     various arities.
*)

open Error


(************************)
(* Arguments extraction *)
(************************)

let get_param0 =
  function
    | [] -> ()
    | _ -> raise (Query (Parameter_Mismatch " in built-in function"))

let get_param1 =
  function
    | [x1] -> x1
    | _ -> raise (Query (Parameter_Mismatch " in built-in function"))

let get_param2 =
  function
    | [x1;x2] -> (x1,x2)
    | _ -> raise (Query (Parameter_Mismatch " in built-in function"))

let get_param3 =
  function
    | [x1;x2;x3] -> (x1,x2,x3)
    | _ -> raise (Query (Parameter_Mismatch " in built-in function"))

