(***********************************************************************)
(*                                                                     *)
(*                                 GALAX                               *)
(*                             XQuery Engine                           *)
(*                                                                     *)
(*  Copyright 2001-2003, Lucent Technologies.                          *)
(*  Distributed only by permission.                                    *)
(*                                                                     *)
(***********************************************************************)

(* $Id: encoding.ml,v 1.3 2003/05/28 14:47:38 simeon Exp $ *)

open Error

(* Character encoding *)

let internal_encoding = ref `Enc_utf8
let output_encoding   = ref `Enc_utf8

let set_internal_encoding enc =
  internal_encoding := enc;
  output_encoding := Glx_pxp.encoding_of_rep_encoding enc

let set_output_encoding enc =
  output_encoding := enc

let set_default_output_encoding () =
  output_encoding := Glx_pxp.encoding_of_rep_encoding !internal_encoding

let get_internal_encoding () =
  !internal_encoding

let get_output_encoding () =
  !output_encoding

