/***********************************************************************/
/*                                                                     */
/*                                 GALAX                               */
/*                              XQuery Engine                          */
/*                                                                     */
/*  Copyright 2001-2003, Lucent Technologies.                          */
/*  Distributed only by permission.                                    */
/*                                                                     */
/***********************************************************************/

/* $Id: ExternalContext.java,v 1.2 2003/06/12 02:30:44 simeon Exp $ */

/**
 * @(#)ExternalContext.java
 *
 * 
 */

package galapi;

/**
 * The <code>ExternalContext</code> includes an optional value for the context
 * item (known as ".") and a list of variable name, <code>ItemList</code> value
 * pairs.
 * 
 */

public class ExternalContext extends Context
{
    
    /**
     * 
     * 
     * @param varnames the names of the variables
     * @param values the values of the variables
     *
     */
    public ExternalContext (ItemList ctxt_item, NameValuePair vars[])
	throws GalapiException
    {

	String varnames[] = new String[vars.length];
	int varvals[] = new int[vars.length];
	for (int i=0; i<vars.length; i++) {
	    varnames[i] = vars[i].getName();
	    varvals[i] = vars[i].getValue().getNativeItemList();
	}

	setItem (externalContextToItem (ctxt_item.getNativeItemList(),
					varnames, varvals));
    }


    protected static native int externalContextToItem (int ci, 
						       String vars[],
						       int values[]);

}// class ExternalContext
