/***********************************************************************/
/*                                                                     */
/*                                 GALAX                               */
/*                              XQuery Engine                          */
/*                                                                     */
/*  Copyright 2001-2003, Lucent Technologies.                          */
/*  Distributed only by permission.                                    */
/*                                                                     */
/***********************************************************************/

/* $Id: ModuleContext.java,v 1.1 2003/06/03 19:53:25 onose Exp $ */

/**
 * @(#)ModuleContext.java
 *
 */


package galapi;

/**
 * The <code>ModuleContext</code> provides a general evaluation environment
 * for a query. This includes:
 * </ul>
 * <li>the  built-in types, namespaces, and functions
 * <li>the user-defined types, namespaces, and functions specified in
 *    any imported library modules
 * <li>any additional context defined by the application (e.g., the values of
 *    the context item and any global variables).  
 * </ul>
 */

public class ModuleContext extends Context
{
   
    protected ModuleContext() {}

    protected ModuleContext (int native_item) {
	setItem (native_item);
    }


}// class ModuleContext
