(***********************************************************************)
(*                                                                     *)
(*                                 GALAX                               *)
(*                            XML Query Engine                         *)
(*                                                                     *)
(*  Copyright 2000, Lucent Technologies.                               *)
(*  Distributed only by permission.                                    *)
(*                                                                     *)
(***********************************************************************)

(* $Id: lexers_iso88591.ml,v 1.7 2003/06/27 00:05:07 simeon Exp $ *)

open Datatypes_lexer
open Lexutil
open Parseutil

(* ISO88591 lexers *)

let my_iso88591_lexers =
  { encoding = `Enc_iso88591;
    opening_tag_state  	 = Opening_tag_lexer_iso88591.opening_tag;
    closing_tag_state  	 = Closing_tag_lexer_iso88591.closing_tag;
    text_state         	 = Text_lexer_iso88591.text;
    attribute_text_state = Opening_tag_lexer_iso88591.attribute_text;
    pi_state             = Text_lexer_iso88591.pi;
    cdata_state          = Text_lexer_iso88591.cdata;
    comment_state        = Text_lexer_iso88591.xml_comment;
    xml_decl_state       = Xmldecl_lexer.xmldecl;
    xml_document_state   = Document_lexer_iso88591.xmldocument;
    doctype_state        = Document_lexer_iso88591.doctype;
    dtddecl_state        = Dtd_lexer_iso88591.dtddecl;
    entity_value_state   = Entity_lexer_iso88591.entity_value }

let my_iso88591_qname_lexers = Qname_lexer_iso88591.parse_qname

let _ =
  Qname_lexer.register_qname_lexer `Enc_iso88591 my_iso88591_qname_lexers;
  Parseutil.register_lexer my_iso88591_lexers

