(***********************************************************************)
(*                                                                     *)
(*                                 GALAX                               *)
(*                            XML Query Engine                         *)
(*                                                                     *)
(*  Copyright 2000, Lucent Technologies.                               *)
(*  Distributed only by permission.                                    *)
(*                                                                     *)
(***********************************************************************)

(* $Id: lexers_utf8.ml,v 1.6 2003/06/27 00:05:08 simeon Exp $ *)

open Datatypes_lexer
open Lexutil
open Parseutil

(* UTF8 lexers *)

let my_utf8_lexers =
  { encoding = `Enc_utf8;
    opening_tag_state  	 = Opening_tag_lexer_utf8.opening_tag;
    closing_tag_state  	 = Closing_tag_lexer_utf8.closing_tag;
    text_state         	 = Text_lexer_utf8.text;
    attribute_text_state = Opening_tag_lexer_utf8.attribute_text;
    pi_state             = Text_lexer_utf8.pi;
    cdata_state          = Text_lexer_utf8.cdata;
    comment_state        = Text_lexer_utf8.xml_comment;
    xml_decl_state       = Xmldecl_lexer.xmldecl;
    xml_document_state   = Document_lexer_utf8.xmldocument;
    doctype_state        = Document_lexer_utf8.doctype;
    dtddecl_state        = Dtd_lexer_utf8.dtddecl;
    entity_value_state   = Entity_lexer_utf8.entity_value }

let my_utf8_qname_lexers = Qname_lexer_utf8.parse_qname

let _ =
  Qname_lexer.register_qname_lexer `Enc_utf8 my_utf8_qname_lexers;
  Parseutil.register_lexer my_utf8_lexers


