(***********************************************************************)
(*                                                                     *)
(*                                 GALAX                               *)
(*                            XML Query Engine                         *)
(*                                                                     *)
(*  Copyright 2000, Lucent Technologies.                               *)
(*  Distributed only by permission.                                    *)
(*                                                                     *)
(***********************************************************************)

(* $Id: static_context.ml,v 1.1 2003/04/18 14:14:29 mff Exp $ *)

open Xquery_ast
open Error

type static_context = { 
  norm_context : Norm_context.norm_context;
  var_type : (vname * model) list
  } 

let norm_context_from_stat_context ctxt = ctxt.norm_context

let build_static_context ctxt var_type = 
  { norm_context = ctxt; var_type = var_type } 

let copy_static_context ctxt = 
  { norm_context = Norm_context.copy_norm_context ctxt.norm_context; var_type = ctxt.var_type } 

let add_var_to_static_context ctxt (v, t) =
  { norm_context = ctxt.norm_context;
    var_type = (v,t) :: ctxt.var_type; 
  }

let var_from_static_context fi stat_ctxt v = 
  try List.assoc v stat_ctxt.var_type 
  with Not_found -> raise
      (Query(Type_Error (fi, " Variable $"^(Namespace.string_of_uqname v)^" undefined")))

let vars_from_static_context stat_ctxt = stat_ctxt.var_type
