(***********************************************************************)
(*                                                                     *)
(*                                 GALAX                               *)
(*                            XML Query Engine                         *)
(*                                                                     *)
(*  Copyright 2000, Lucent Technologies.                               *)
(*  Distributed only by permission.                                    *)
(*                                                                     *)
(***********************************************************************)

(* $Id: demo_conf.ml,v 1.5 2002/10/12 00:33:32 simeon Exp $ *)

let rec pair_up_items il = 
  match il with
  | [] -> []
  | first :: second :: rest ->
      (first,second) :: (pair_up_items rest)
  | _ -> 
      failwith "Expecting an even number of items"

(* config parameters *)

let document_dir = ref ""
let cgibin_prefix = ref ""

(* process the definition of each config parameters, one clause for each *)

let process_definition defn =
  match defn with
  | ("DOCUMENT_DIR", dir) -> document_dir := dir
  | ("CGIBIN_PREFIX", prefix) -> cgibin_prefix := prefix
  | _ -> failwith "Undeclared parameter defined" (* better ignore quietly? *)

let demo_init config_file = 
  let config_content = Gmisc.load_file config_file in
  let alist = pair_up_items (Str.split (Str.regexp "=\|\n") config_content) in
  let _ = List.map process_definition alist in ()


