(***********************************************************************)
(*                                                                     *)
(*                                 GALAX                               *)
(*                            XML Query Engine                         *)
(*                                                                     *)
(*  Copyright 2000, Lucent Technologies.                               *)
(*  Distributed only by permission.                                    *)
(*                                                                     *)
(***********************************************************************)

(* $Id: viewxml.ml,v 1.7 2003/01/21 20:43:36 simeon Exp $ *)

open Demo_conf

let process_args() =
  Cgi.parse_arguments Cgi.default_config;
  (Cgi.argument_value "file")

let main() =
  demo_init "galax_demo_config";
  (* Sys.chdir !document_dir; *)
  let file = process_args() in
  print_string ("<b>File parsed is: " ^ file ^"</b><br/>\n"); flush stdout;
  let content = Gmisc.load_file file in
  output_string stdout "<pre>";
  print_string (Netencoding.Html.encode_from_latin1 content);
  output_string stdout "</pre><br>\n"

let beg_html =
  "<html><head><title>Galax</title><link href=\"../galax.css\" type=\"text/css\" rel=\"stylesheet\"></head>\n<body>\n"

let end_html =
  "</pre>\n\
</body></html>\n"

let exec func arg =
  output_string stdout ("Content-type: text/html; charset=UTF-8\n\n");
  flush stdout;
  output_string stdout beg_html;
  begin
    try
      func arg
    with
      e ->
	output_string stdout "<H3>Error:</H3>\n<pre>\n";
	Error.printf_error "  " e
  end;
  output_string stdout end_html;
  flush stdout     

let _ = exec main()
